/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Specimen Stains
 */
public enum EnumCV_SpecimenStains {

	//Specimen Stains - CID 8112
	ACID_FAST_STAIN_C_22860("C-22860"),
	ACID_PHOSPHATASE_STAIN_C_2280A("C-2280A"),
	ALBERTS_STAIN_C_2280B("C-2280B"),
	ALCIAN_BLUE_8GX_STAIN_C_22963("C-22963"),
	ALCIAN_BLUE_STAIN_C_2288B("C-2288B"),
	ALCOHOL_SOLUBLE_NIGROSINE_STAIN_C_22932("C-22932"),
	ALDEHYDE_FUCHSIN_STAIN_C_2286D("C-2286D"),
	ALIZARIN_BLUE_S_STAIN_C_22961("C-22961"),
	ALIZARIN_CYANINE_GREEN_STAIN_C_22959("C-22959"),
	ALIZARIN_RED_S_STAIN_C_22953("C-22953"),
	ALIZARIN_YELLOW_GG_STAIN_C_22813("C-22813"),
	ALIZARIN_YELLOW_R_STAIN_C_22814("C-22814"),
	ALKALINE_PHOSPHATASE_STAIN_C_2285B("C-2285B"),
	ANILINE_BLUE_STAIN_C_2287E("C-2287E"),
	AURAMINE_STAIN_C_2280C("C-2280C"),
	AZO_BLACK_STAIN_C_22873("C-22873"),
	AZOCARMINE_G_GX_STAIN_C_22929("C-22929"),
	AZOPHLOXIN_STAIN_C_22842("C-22842"),
	AZORUBIN_S_STAIN_C_22831("C-22831"),
	AZURE_A_STAIN_C_22945("C-22945"),
	AZURE_B_STAIN_C_22946("C-22946"),
	AZURE_C_STAIN_C_22944("C-22944"),
	BAUERS_CHROMIC_ACID_LEUCOFUCHSIN_STAIN_C_2286E("C-2286E"),
	BENZO_FAST_SCARLET_STAIN_C_22872("C-22872"),
	BETA_GLUCURONIDASE_STAIN_C_2280D("C-2280D"),
	BIEBRICH_SCARLET_STAIN_C_22866("C-22866"),
	BISMARK_BROWN_R_STAIN_C_22848("C-22848"),
	BISMARK_BROWN_Y_STAIN_C_22848("C-22848"),
	BLUE_SHADE_EOSIN_STAIN_C_22921("C-22921"),
	BRAZILIN_STAIN_C_22965("C-22965"),
	BRILLIANT_CRESYL_BLUE_STAIN_C_22934("C-22934"),
	BRILLIANT_CROCEIN_STAIN_C_22869("C-22869"),
	BRILLIANT_ORANGE_STAIN_C_22865("C-22865"),
	BRILLIANT_YELLOW_STAIN_C_22857("C-22857"),
	BUTYRATE_ESTERASE_STAIN_C_2283C("C-2283C"),
	CARBOL_FUCHSIN_STAIN_C_2286B("C-2286B"),
	CARMINE_STAIN_C_22971("C-22971"),
	CARMINIC_ACID_STAIN_C_22972("C-22972"),
	CARMOISINE_A_STAIN_C_22822("C-22822"),
	CELESTINE_BLUE_B_STAIN_C_22936("C-22936"),
	CHLOROACETATE_ESTERASE_STAIN_C_2280E("C-2280E"),
	CHROMIC_ACID_STAIN_C_2287B("C-2287B"),
	CHROMOTROPE_2R_STAIN_C_22838("C-22838"),
	CHRYSOIDINE_R_STAIN_C_22806("C-22806"),
	CHRYSOIDINE_Y_STAIN_C_22805("C-22805"),
	COCHINEAL_STAIN_C_22973("C-22973"),
	COLLOIDAL_IRON_STAIN_C_22837("C-22837"),
	CONGO_RED_STAIN_C_22851("C-22851"),
	CRESYL_ECHT_VIOLET_STAIN_C_22847("C-22847"),
	CRESYL_VIOLET_STAIN_C_22840("C-22840"),
	CRYSTAL_PONCEAU_STAIN_C_22833("C-22833"),
	CRYSTAL_VIOLET_STAIN_C_2283D("C-2283D"),
	CURCUMIN_STAIN_C_22966("C-22966"),
	DIAMOND_BLACK_STAIN_C_22826("C-22826"),
	DURAZOL_RED_STAIN_C_22871("C-22871"),
	ERIE_GARNET_STAIN_C_22852("C-22852"),
	ERIOCHROME_BLUE_BLACK_SE_STAIN_C_22839("C-22839"),
	ERYTHROSIN_B_STAIN_C_22924("C-22924"),
	ERYTHROSIN_Y_STAIN_C_22923("C-22923"),
	EVANS_BLUE_STAIN_C_22854("C-22854"),
	FAST_BLUE_B_SALT_STAIN_C_22883("C-22883"),
	FAST_BLUE_BB_SALT_STAIN_C_22881("C-22881"),
	FAST_BLUE_RR_SALT_STAIN_C_22878("C-22878"),
	FAST_GARNET_GBC_SALT_STAIN_C_22882("C-22882"),
	FAST_GREEN_FCF_STAIN_C_22886("C-22886"),
	FAST_RED_B_SALT_STAIN_C_22876("C-22876"),
	FAST_RED_ITR_STAIN_C_22877("C-22877"),
	FAST_RED_TR_SALT_STAIN_C_22875("C-22875"),
	FAST_SULFON_BLACK_F_STAIN_C_22867("C-22867"),
	FAST_VIOLET_B_SALT_STAIN_C_22879("C-22879"),
	FAT_RED_7B_STAIN_C_22859("C-22859"),
	FEULGEN_REACTION_STAIN_C_2280F("C-2280F"),
	FIELDS_STAIN_C_22810("C-22810"),
	FLAGELLAR_STAIN_C_22816("C-22816"),
	FLUORESCENT_STAIN_C_22A00("C-22A00"),
	FOUCHET_STAIN_C_2286C("C-2286C"),
	FUCHSIN_ACID_STAIN_C_22902("C-22902"),
	FUCHSIN_BASIC_STAIN_C_22889("C-22889"),
	GALLOCYANINE_STAIN_C_22935("C-22935"),
	GIEMSA_STAIN_F_61968("F-61968"),
	GRAM_STAIN_C_22830("C-22830"),
	HANSEL_STAIN_C_2286F("C-2286F"),
	HEMATEIN_STAIN_C_22967("C-22967"),
	HEMATOXYLIN_STAIN_C_22968("C-22968"),
	IMMUNOFLUORESCENT_STAIN_C_22817("C-22817"),
	INDIA_INK_STAIN_C_2285C("C-2285C"),
	INDIGO_CARMINE_STAIN_C_22962("C-22962"),
	INDOPHENOL_FROM_NAPHTHOL_STAIN_C_22927("C-22927"),
	INSOLUBLE_BERLIN_BLUE_STAIN_C_22974("C-22974"),
	JANUS_GREEN_B_STAIN_C_22804("C-22804"),
	JENNER_GIEMSA_STAIN_C_22818("C-22818"),
	KENACID_BLUE_R_STAIN_C_22899("C-22899"),
	LACMOID_STAIN_C_22942("C-22942"),
	LEISHMAN_STAIN_C_22819("C-22819"),
	LIGHT_GREEN_SF_STAIN_C_22887("C-22887"),
	LISSAMINE_FAST_RED_B_STAIN_C_22841("C-22841"),
	LISSAMINE_FAST_YELLOW_STAIN_C_22843("C-22843"),
	LISSAMINE_GREEN_B_STAIN_C_22914("C-22914"),
	LISSAMINE_RHODAMINE_STAIN_C_22917("C-22917"),
	LUXOL_FAST_BLUE_STAIN_C_2283F("C-2283F"),
	MALACHITE_GREEN_STAIN_C_22890("C-22890"),
	MALLORY_BLEACH_STAIN_C_2283A("C-2283A"),
	MARTIUS_YELLOW_STAIN_C_22802("C-22802"),
	MAY_GRUNWALD_GIEMSA_STAIN_C_2281A("C-2281A"),
	MELDOLA_BLUE_STAIN_C_22937("C-22937"),
	METANIL_YELLOW_STAIN_C_22811("C-22811"),
	METHYL_BLUE_STAIN_C_22907("C-22907"),
	METHYL_GREEN_PYRONIN_STAIN_C_2281B("C-2281B"),
	METHYL_ORANGE_STAIN_C_22809("C-22809"),
	METHYL_RED_STAIN_C_22808("C-22808"),
	METHYL_VIOLET_STAIN_C_2287C("C-2287C"),
	METHYLENE_BLUE_STAIN_C_22947("C-22947"),
	METHYLENE_VIOLET_STAIN_C_2284A("C-2284A"),
	METHYLENE_VIOLET_STAIN_BERNTHSEN_C_22952("C-22952"),
	MODIFIED_TRICHROME_STAIN_C_2287F("C-2287F"),
	MUCICARMINE_STAIN_C_2284B("C-2284B"),
	MYELOPEROXIDASE_STAIN_C_2281C("C-2281C"),
	NAPHTHALENE_BLACK_12B_STAIN_C_22846("C-22846"),
	NAPHTHOL_GREEN_B_STAIN_C_22801("C-22801"),
	NAPHTHOL_YELLOW_S_STAIN_C_22803("C-22803"),
	NAPHTHOL_AS_D_CHLORACETATE_ESTERASE_STAIN_C_2285D("C-2285D"),
	NEUTRAL_RED_STAIN_C_22928("C-22928"),
	NEUTROPHIL_ALKALINE_PHOSPHATASE_STAIN_C_2281D("C-2281D"),
	NEW_FUCHSIN_STAIN_C_22891("C-22891"),
	NIGHT_BLUE_STAIN_C_2284C("C-2284C"),
	NILE_BLUE_STAIN_C_22941("C-22941"),
	NITRAZINE_YELLOW_STAIN_C_22823("C-22823"),
	NONSPECIFIC_ESTERASE_STAIN_C_2281E("C-2281E"),
	NUCLEAR_FAST_RED_STAIN_C_22955("C-22955"),
	OIL_RED_O_STAIN_C_22863("C-22863"),
	ORANGE_G_STAIN_C_22832("C-22832"),
	ORANGE_II_STAIN_C_22824("C-22824"),
	ORCEIN_STAIN_C_2284D("C-2284D"),
	PAGE_BLUE_83_STAIN_C_22901("C-22901"),
	PAGE_BLUE_G_90_STAIN_C_22898("C-22898"),
	PATENT_BLUE_V_SODIUM_SALT_STAIN_C_22885("C-22885"),
	PERIODIC_ACID_SCHIFF_STAIN_C_2281F("C-2281F"),
	PERMETHRIN_STAIN_R_F748A("R-F748A"),
	PEROXIDASE_STAIN_C_2285E("C-2285E"),
	PHLOXIN_B_STAIN_C_22922("C-22922"),
	PHOSPHOTUNGSTIC_ACID_HEMATOXYLIN_STAIN_C_2284E("C-2284E"),
	PONCEAU_3R_STAIN_C_22829("C-22829"),
	PONCEAU_S_STAIN_C_22868("C-22868"),
	PONCEAU_XYLIDINE_STAIN_C_22828("C-22828"),
	PONTAMINE_SKY_BLUE_5BX_STAIN_C_22855("C-22855"),
	PONTAMINE_SKY_BLUE_6BX_STAIN_C_22856("C-22856"),
	POTASSIUM_HYDROXIDE_STAIN_C_22870("C-22870"),
	PROCION_BRILLIANT_BLUE_MRS_STAIN_C_22956("C-22956"),
	PROTARGOL_S_STAIN_C_2288A("C-2288A"),
	PRUSSIAN_BLUE_STAIN_C_22820("C-22820"),
	QUINACRINE_FLUORESCENT_STAIN_C_2284F("C-2284F"),
	RHODAMINE_STAIN_C_2286A("C-2286A"),
	ROMANOWSKY_STAIN_C_2282A("C-2282A"),
	ROSE_BENGAL_STAIN_C_22925("C-22925"),
	ROSOLIC_ACID_SODIUM_SALT_STAIN_C_22908("C-22908"),
	SAFFRON_STAIN_C_22964("C-22964"),
	SAFRANIN_STAIN_F_61DA5("F-61DA5"),
	SAFRANINE_O_STAIN_C_22931("C-22931"),
	SILVER_NITRATE_STAIN_C_2287A("C-2287A"),
	SILVER_STAIN_C_22836("C-22836"),
	SIRIUS_RED_F3B_STAIN_C_22874("C-22874"),
	SOLOCHROME_AZURINE_BS_STAIN_C_22912("C-22912"),
	SOLOCHROME_BLACK_6B_STAIN_C_22821("C-22821"),
	SOLOCHROME_CYANINE_R_STAIN_C_22909("C-22909"),
	SOLOCHROME_DARK_BLUE_STAIN_C_22825("C-22825"),
	SOLUBLE_BERLIN_BLUE_STAIN_C_22975("C-22975"),
	SPIRIT_SOLUBLE_ANILINE_BLUE_STAIN_C_22906("C-22906"),
	SPIRIT_SOLUBLE_EOSIN_STAIN_C_22920("C-22920"),
	SPORE_STAIN_C_2282B("C-2282B"),
	SUDAN_STAIN_C_2282D("C-2282D"),
	SUNSET_YELLOW_FCF_STAIN_C_22827("C-22827"),
	TARTRATE_RESISTANT_ACID_PHOSPHATASE_C_2285A("C-2285A"),
	TARTRAZINE_STAIN_C_22844("C-22844"),
	TERMINAL_DEOXYNUCLEOTIDYL_TRANSFERASE_STAIN_C_2285F("C-2285F"),
	THIOFLAVINE_S_STAIN_C_2288D("C-2288D"),
	THIOFLAVINE_T_STAIN_C_22926("C-22926"),
	THIONIN_STAIN_C_22850("C-22850"),
	THIONINE_STAIN_C_22943("C-22943"),
	TITAN_YELLOW_STAIN_C_22845("C-22845"),
	TRICHROME_STAIN_C_2287D("C-2287D"),
	TROPAEOLIN_O_STAIN_C_22815("C-22815"),
	TROPAEOLIN_OO_STAIN_C_22812("C-22812"),
	TRYPAN_BLUE_STAIN_C_22853("C-22853"),
	VAN_GIESON_STAIN_C_2283E("C-2283E"),
	VERHOEFFS_HEMATOXYLIN_STAIN_C_22880("C-22880"),
	VITAL_NEW_RED_STAIN_C_22858("C-22858"),
	WATER_SOLUBLE_ANILINE_BLUE_STAIN_C_22904("C-22904"),
	WATER_SOLUBLE_ANTHRACENE_BROWN_STAIN_C_22954("C-22954"),
	WATER_SOLUBLE_NIGROSINE_STAIN_C_22933("C-22933"),
	WAXOLINE_BLUE_STAIN_C_22957("C-22957"),
	WAYSON_STAIN_F_61E5A("F-61E5A"),
	WRIGHT_STAIN_F_619B7("F-619B7"),
	XYLENE_CYANOL_FF_STAIN_C_22888("C-22888"),
	ZIEHL_NEELSEN_STAIN_C_2282C("C-2282C"),
	ACRIDINE_ORANGE_STAIN_C_22A08("C-22A08"),
	ACRIFLAVINE_STAIN_C_22A07("C-22A07"),
	ATEBRIN_FS_STAIN_C_22A03("C-22A03"),
	AURAMINE_G_STAIN_C_22A02("C-22A02"),
	AURAMINE_O_STAIN_C_22A01("C-22A01"),
	CORIPHOSPHINE_STAIN_C_22A11("C-22A11"),
	FLUORESCEIN_STAIN_C_22A05("C-22A05"),
	FLUOREXON_STAIN_C_22AA1("C-22AA1"),
	RHODAMINE_B_STAIN_C_22A04("C-22A04"),
	FLUORESCEIN_SODIUM_STAIN_C_22A06("C-22A06"),
	SUDAN_BLACK_B_STAIN_C_22864("C-22864"),
	SUDAN_BLACK_STAIN_C_2282E("C-2282E"),
	SUDAN_BLUE_STAIN_C_22958("C-22958"),
	SUDAN_II_STAIN_C_22807("C-22807"),
	SUDAN_III_STAIN_C_22861("C-22861"),
	SUDAN_IV_STAIN_C_22862("C-22862"),
	ALKALI_BLUE_5B_4B_STAIN_C_22903("C-22903"),
	ALKALI_BLUE_6B_STAIN_C_22905("C-22905"),
	CHROME_AZUROL_S_STAIN_C_22911("C-22911"),
	DIBROMOFLUORESCEIN_STAIN_C_22918("C-22918"),
	ETHYL_VIOLET_STAIN_C_22897("C-22897"),
	METHYL_GREEN_STAIN_C_22896("C-22896"),
	METHYL_VIOLET_2B_STAIN_C_22892("C-22892"),
	METHYL_VIOLET_6B_STAIN_C_22894("C-22894"),
	PYRONINE_B_STAIN_C_22916("C-22916"),
	PYRONINE_G_STAIN_C_22915("C-22915"),
	TOLUIDINE_BLUE_STAIN_C_22951("C-22951"),
	VICTORIA_BLUE_4R_STAIN_C_22895("C-22895"),
	VICTORIA_BLUE_B_STAIN_C_22913("C-22913"),
	WATER_SOLUBLE_EOSIN_STAIN_C_22919("C-22919");

	private String value;

	EnumCV_SpecimenStains(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
